LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
08458Bug reports[All Projects] Import/Exportpublic2013-12-16 18:522013-12-19 14:17
Reporterriqcles 
Assigned Toc_schmitz 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.05+ 
Summary08458: Csv format does not selects all columns to export
DescriptionAll columns are not selected when selecting the csv export
Steps To ReproduceA questionnaire with questions such table with 5 columns and 10 rows of answers.
Copy this question at least 30 times to exceed the number of columns 255 answers. (use the survey)

Enable this questionnaire.
Send answer the questionnaire (non-compulsory questions)
To immediately export a CSV choosing responses


Opening with csv format by default LimeSurvey V2 offers export with:
- The selection of the first 255 columns (must use the elevator to see the following columns are not selected).
- XLS CSV must be changed.
Additional InformationWhen CSV selection would require that all columns are selected
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID2.00+ Build 131107
BrowserFirefox 17
Database & DB-VersionPostGresQL 9.1.4
Operating System (Server)CentOS 4.1.2
Webserver software & versionApache 2.2
PHP VersionPHP 5.2
Attached Files? file icon limesurvey_survey_419447.lss [^] (180,552 bytes) 2013-12-16 18:52

- Relationships

-  Notes
User avatar (27599)
DenisChenu (developer)
2013-12-18 12:04

Think we must set CSV by default and select whole column by default.

Set to 255 only when XLS is selected.
User avatar (27649)
c_schmitz (administrator)
2013-12-19 14:17

2.05+ Build 131219 released

- Issue History
Date Modified Username Field Change
2013-12-16 18:52 riqcles New Issue
2013-12-16 18:52 riqcles File Added: limesurvey_survey_419447.lss
2013-12-18 12:04 DenisChenu Note Added: 27599
2013-12-19 12:57 c_schmitz Assigned To => c_schmitz
2013-12-19 12:57 c_schmitz Status new => assigned
2013-12-19 12:58 c_schmitz Status assigned => resolved
2013-12-19 12:58 c_schmitz Fixed in Version => 2.05+
2013-12-19 12:58 c_schmitz Resolution open => fixed
2013-12-19 14:17 c_schmitz Note Added: 27649
2013-12-19 14:17 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker